<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
RecnoDatabaseConfig..::.Append Field
RecnoDatabaseConfig Class See Also

A function to call after the record number has been selected but before the data has been stored into the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public AppendRecordDelegate Append

Visual Basic (Declaration)

    Public Append As AppendRecordDelegate

Visual C++

    public:
    AppendRecordDelegate^ Append

# Remarks

When using Append(DatabaseEntry), it may be useful to modify the stored data based on the generated key. If a delegate is specified, it will be called after the record number has been selected, but before the data has been stored.

# See Also

RecnoDatabaseConfig Class
BerkeleyDB Namespace